<style>
    .address-settings dl { font-size: 1em; }
    .address-settings dt, .address-settings dd { width: auto; display: block; float: none; }
    .address-settings dd { margin-bottom: 10px; }

    .address-settings form { display: block; clear: both; float: none; margin-top: 15px; }

    .address-settings ul, .address-settings ul li { list-style: none; margin: 0; padding: 0; }
    .address-settings ul li { padding: 5px 0; }
    .address-settings form label { display: block; width: auto; }
    .address-settings form input { font-size: 1.05em; padding: 5px; }
    .address-settings form input[name="client_id"] { width: 250px; }
    .address-settings form input[name="client_secret"] { width: 350px; }
</style>
<div class="address-settings">
    <p><?= __('The Bug Genie can use %github_icon Github (%link_to_github_oauth) as an identity provider for user authentication and registration.', ['%github_icon' => image_tag('logo-github.png', ['style' => 'display: inline-block; width: 16px; vertical-align: middle; margin-left: 3px;'], false, 'oauth2_github'), '%link_to_github_oauth' => '<a href="https://developer.github.com/v3/oauth/">Github APIv3 &raquo; OAuth</a>']); ?></p>
    <p><?= __('To authenticate with the Github API, Github requires that you create a client key specific to your installation. To do this, follow the instructions to register a new application, here: %link_to_github_oauth', ['%link_to_github_oauth' => link_tag('https://developer.github.com/v3/oauth/', null, ['target' => '_blank'])]); ?></p>
    <p><?= __('When prompted, use the values listed below, then input the values of the client id and client secret here.'); ?></p>
    <dl>
        <dt>Name</dt>
        <dd><i>&lt;e.g. My Company The Bug Genie installation&gt;</i></dd>
        <dt>Homepage URL</dt>
        <dd><?= make_url('home', [], false); ?></dd>
        <dt>Authorization callback URL</dt>
        <dd><?= make_url('oauth2_github_login', [], false); ?></dd>
    </dl>
    <?php if (isset($settings_saved) && $settings_saved): ?>
        <div class="greenbox" style="margin: 5px 0px;">
            <div><?= __('Client ID and secret saved'); ?></div>
        </div>
    <?php endif; ?>
    <form action="<?= make_url('configure_oauth2_github_settings'); ?>" accept-charset="<?= \thebuggenie\core\framework\Context::getI18n()->getCharset(); ?>" method="post">
        <ul>
            <li>
                <label><?= __('Client ID'); ?></label>
                <input type="text" name="client_id" value="<?= $client_id; ?>">
            </li>
            <li>
                <label><?= __('Client secret'); ?></label>
                <input type="text" name="client_secret" value="<?= $client_secret; ?>">
            </li>
        </ul>
        <input type="submit" class="button" value="<?= __('Save'); ?>">
    </form>
</div>
